Skip to main content
The “List Orders” API allows to retrieve a paginated list of orders. Customize your results by filtering orders based on name, alt type, order status, payment mode, date range, type of source, contact, funnel products or paginate through the list using the provided query parameters. This endpoint provides a straightforward way to explore and retrieve order information.
GET https://services.leadconnectorhq.com/payments/orders

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Query parameters

locationId
string
default:"3SwdhCu3svxI8AKsPJt6"
LocationId is the id of the account.
altId
string
default:"3SwdhCu3svxI8AKsPJt6"
required
AltId is the unique identifier e.g: account id.
status
string
default:"completed"
Order status.
paymentStatus
string
default:"unpaid"
Payment Status of the Order
paymentMode
string
default:"live"
Mode of payment.
startAt
string
default:"2024-02-01"
Starting interval of orders.
endAt
string
default:"2024-02-13"
Closing interval of orders.
The name of the order for searching.
contactId
string
default:"XPLSw2SVagl12LMDeTmQ"
Contact id for filtering of orders.
funnelProductIds
string
Funnel product ids separated by comma.
sourceId
string
default:"61dd0c7dc077f712a5f787ff"
Source id
limit
number
default:"20"
The maximum number of items to be included in a single page of results
offset
number
default:"0"
The starting index of the page, indicating the position from which the results should be retrieved.

Respuestas

data
object[]
required
An array of orders
totalCount
number
required
total orders count
{
  "data": [
    {
      "_id": "653f5e0cde5a1314e62a837c",
      "altId": "3SwdhCu3svxI8AKsPJt6",
      "altType": "account",
      "contactId": "XPLSw2SVagl12LMDeTmQ",
      "contactName": "James Bond",
      "contactEmail": "james.bond@leadwaycrm.com",
      "currency": "USD",
      "amount": "100",
      "subtotal": "100",
      "discount": "10",
      "status": "completed",
      "liveMode": "false",
      "totalProducts": "5",
      "sourceType": "funnel",
      "sourceName": "onestep",
      "sourceId": "kDj7BHej9Zyyq3QakJmz",
      "sourceMeta": "{ domain: \"app.leadwaycrm.com\", pageId:  \"rBVhyYhMsbxbO8ZqOcei\", pageUrl:  \"/v2/preview/rBVhyYhMsbxbO8ZqOcei\", stepId:   \"5a772f62-3fbc-418b-af1b-be8929dd64c2\"}",
      "couponCode": "100PER",
      "createdAt": "2023-11-20T10:23:36.515Z",
      "updatedAt": "2024-01-23T09:57:04.846Z",
      "sourceSubType": "one_step_order_form",
      "fulfillmentStatus": "unfulfilled",
      "onetimeProducts": "1",
      "recurringProducts": "1",
      "createdBy": "user123"
    }
  ],
  "totalCount": 0
}
{}
{}
{}

Ejemplo

curl -X GET 'https://services.leadconnectorhq.com/payments/orders' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/payments/orders', {
  method: 'GET',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
  },
});
const data = await response.json();
import os, requests
response = requests.request(
    'GET',
    'https://services.leadconnectorhq.com/payments/orders',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
    },
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/payments/orders');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
    ],
]);
$data = json_decode(curl_exec($ch), true);